Flowdock
method

options

Importance_0
Ruby on Rails latest stable (v4.0.2) - 0 notes - Class: Plugin

Method deprecated or moved

This method is deprecated or moved on the latest stable version. The last existing version (v3.2.13) is shown here.

These similar methods exist in v4.0.2:

options() public

No documentation

This method has no description. You can help the Ruby on Rails community by adding new notes.

Hide source
# File railties/lib/rails/commands/plugin.rb, line 292
      def options
        OptionParser.new do |o|
          o.set_summary_indent('  ')
          o.banner =    "Usage: plugin [OPTIONS] command"
          o.define_head "Rails plugin manager."

          o.separator ""
          o.separator "GENERAL OPTIONS"

          o.on("-r", "--root=DIR", String,
               "Set an explicit rails app directory.",
               "Default: #{@rails_root}") { |rails_root| @rails_root = rails_root; self.environment = RailsEnvironment.new(@rails_root) }

          o.on("-v", "--verbose", "Turn on verbose output.") { |verbose| $verbose = verbose }
          o.on("-h", "--help", "Show this help message.") { puts o; exit }

          o.separator ""
          o.separator "COMMANDS"

          o.separator "  install    Install plugin(s) from known repositories or URLs."
          o.separator "  remove     Uninstall plugins."

          o.separator ""
          o.separator "EXAMPLES"
          o.separator "  Install a plugin from a subversion URL:"
          o.separator "    #{@script_name} plugin install http://example.com/my_svn_plugin\n"
          o.separator "  Install a plugin from a git URL:"
          o.separator "    #{@script_name} plugin install git://github.com/SomeGuy/my_awesome_plugin.git\n"
          o.separator "  Install a plugin and add a svn:externals entry to vendor/plugins"
          o.separator "    #{@script_name} plugin install -x my_svn_plugin\n"
        end
      end
Register or log in to add new notes.